/*!
Theme Name: ShawCo Engineering 2025
Theme URI: https://touchiron.com
Author: Toccare Ferro
Author URI: https://touchiron.com
Description:  Custom Theme (child) developed especially for ShawCo Engineering. Last updated 08/01/2025 - CA @ Toccare Ferro
Template:     ferrocustom23
Version:      25.08.01
License:      All custom code in this child theme All Rights Reserved: ShawCo Engineering, 2024-2025
Tags:		  bootsrap, custom, toccare ferro, tocca ferro llc
Text Domain: ferrocustom23-child
*/

/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
1. Custom Theme Styles
2. Plugin Mods
3. Responsive Goodies
*/

/*--------------------------------------------------------------
>>> 1. CUSTOM THEME STYLES - NOTE: More custom styles may be in the VC editor settings - CA
----------------------------------------------------------------*/
html {
  scroll-behavior: smooth;
}

body:not(.theme-preset-active) #page-sub-header h1 { /*This is a test to make sure the enqueued parent styles get overwritten. OKAY TO DELETE THIS. - CA*/
    line-height: 1.6;
    font-size: 4rem;
    color: #0ccc;
    margin: 0 0 1rem;
    border: 0;
    padding: 0;
}

.montserrat-shawco, p, p a {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400; /*Variable font. Use a value from 100 to 900*/
  font-style: normal;
}

.kanit-thin {
  font-family: "Kanit", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.kanit-extralight {
  font-family: "Kanit", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.kanit-light {
  font-family: "Kanit", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.kanit-regular, h1, h2, h3, h4, h5, h1 a, h2 a, h3 a, h4 a, h5 a {
  font-family: "Kanit", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.kanit-medium {
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.kanit-semibold {
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.kanit-bold, h1 bold, h2 bold, h3 bold, h4 bold, h5 bold, h1 strong, h2 strong, h3 strong, h4 strong, h5 strong, h1 a strong, h2 a strong, h3 a strong, h4 a strong, h5 a strong, h1 a bold, h2 a bold, h3 a bold, h4 a bold, h5 a bold {
  font-family: "Kanit", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.kanit-extrabold {
  font-family: "Kanit", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.kanit-black {
  font-family: "Kanit", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.kanit-thin-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.kanit-extralight-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 200;
  font-style: italic;
}

.kanit-light-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.kanit-regular-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.kanit-medium-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.kanit-semibold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.kanit-bold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.kanit-extrabold-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 800;
  font-style: italic;
}

.kanit-black-italic {
  font-family: "Kanit", sans-serif;
  font-weight: 900;
  font-style: italic;
}

/*Header*/
.navbar-brand img {
    max-width: 12rem;
	margin: 0 0 0.75rem 0;
}

body:not(.theme-preset-active) #masthead .navbar-nav > li > a, 
#masthead .navbar-nav > li > a {
    color: #fff;
    padding: 0.15rem 1.5rem;
    font-weight: bold;
    font-size: 1.35rem;
}

.navbar-nav li {
    border-right: 1px solid #fff;
}

.navbar-nav li:last-child,
.navbar-nav li:nth-last-child(2) { 
    border: none;
}

.nav-red-bg-button {
    background: #ed2124;
}

/*sub-menu patch for Engineering; add retroactively to Design-Build during Phase 2 - CA*/
.dropdown-menu { /*the whole shebang*/
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 18.5rem;
    padding: .5rem 0 .5rem 1.25rem;
    margin: .125rem 0 0;
    font-size: 1.1rem;
    color: #ffffff;
    text-align: left;
    list-style: none;
    background-color: transparent;
    background-clip: padding-box;
    border: none;
    border-radius: 0;
}

.dropdown-menu li { /*the dropdown line*/
    background: #ed2124;
    margin: 0 0 0.5rem 0;
    color: #ffffff;
	border:none !important;
	text-shadow:none;
	box-shadow: 0 .2em .25em rgba(0, 0, 0, .5) !important;
}

.dropdown-menu .dropdown-item { /*the ahref element*/
	color: #fff;
	white-space: normal;
    background: transparent;
    line-height: 1.6;
	font-weight:bold;
}

/*END sub-menu patch*/

/*Footer Menu Patch - 01.09.2025 CA*/
.menu-footer-quick-links-container ul li a {
    font-weight: 500;
    font-family: "Kanit", sans-serif;
	font-style: normal;
    font-size: 1.4rem;
    line-height: 1rem;
}

.menu-footer-quick-links-container ul li ul li a {
    font-weight: 200;
    font-style: italic;
    margin: 0 0 0 1rem;
    line-height: 1.75rem;
}

/*END Footer Menu Patch*/

header#masthead {
    margin-bottom: 0;
    background-color: transparent;
    box-shadow: none;
    padding: 0.54rem 2rem 0.75rem 2rem;
    position: relative;
    z-index: 1;
}

#masthead .border-patrol {
    border-bottom: 1px solid #fff;
	padding:0;
}

.rounders {
	border-radius:16px;
}

.vce-sidebar-menu .vce-sidebar-menu-inner li.menu-item a:hover, 
.vce-sidebar-menu .vce-sidebar-menu-inner li.menu-item.current-menu-item>a {
    color: #fff !important;
}

.vce-sidebar-menu .vce-sidebar-menu-inner li.menu-item a:hover, 
.vce-sidebar-menu .vce-sidebar-menu-inner li.menu-item a:focus {
    color: #fff !important;
    font-weight: bold;
	text-decoration:none;
}

.entry-content a {color:#ff0000;}

#content.site-content {
    padding-bottom: 0;
    padding-top: 4.125rem;
}

/*--------------------------------------------------------------
## 2. PLUGIN MODS
--------------------------------------------------------------*/
.vc_desktop article .entry-footer {
  display: none;
}

.vc_desktop #content.site-content {
  padding-bottom: 0;
  padding-top: 0;
}

.vc_desktop .entry-content {
  margin-top: 0;
}


/*--------------------------------------------------------------
# 3. RESPONSIVE GOODIES
--------------------------------------------------------------*/
@media screen and (max-width: 767px) {
  #masthead .navbar-nav > li > a {
    padding-bottom: 0.938rem;
    padding-top: 0.938rem;
  }
	
	.bighead h2, .bighead h2 span {
	    font-size: 32px !important;
	}
	
	.footer h5, .footer h4, .footer h3, .footer h2, .footer h1, .footer p, .footer a, .footer span {
	    text-align: left !important;
	}
}

/*--------------------------------------------------------------
## Notebook
--------------------------------------------------------------*/
@media only screen and (max-width: 1416px) {
	body:not(.theme-preset-active) #masthead .navbar-nav > li > a, #masthead .navbar-nav > li > a {
    	color: #fff;
    	padding: 0.15rem 1.5rem;
    	font-weight: bold;
    	font-size: 1.1rem; /*extra step caused by 2rem margins on header content - CA 8.1.25 */
	}
}

@media only screen and (max-width: 1280px) {
  html {
    font-size: 95%;
  }
	
	body:not(.theme-preset-active) #masthead .navbar-nav > li > a, 
	#masthead .navbar-nav > li > a {
	    color: #fff;
	    padding: 0.15rem 1.5rem;
	    font-weight: bold;
	    font-size: 1.0rem; /*extra step caused by 2rem margins on header content - CA 8.1.25 */
	}
}

@media screen and (max-width: 1199px) { /*sandwich menu break-point*/
  .navbar-dark .dropdown-item {
    color: #fff;
  }
  .navbar-nav .dropdown-menu {
    background: transparent;
    box-shadow: none;
    border: none;
  }
	
	.navbar-toggler-icon {
    	display: inline-block;
    	width: 1.75em;
    	height: 1.75em;
    	vertical-align: middle;
    	content: "";
    	background: no-repeat center center;
    	background-size: 100% 100%;
	}
	
	.navbar-toggler {
   		padding: 0.75rem .75rem;
   		font-size: 1.5rem;
    	line-height: 1;
    	background-color: transparent;
    	border: 0px solid transparent;
    	border-radius: 5.5rem;
	}
	
	.navbar-light .navbar-toggler {
        border-color: rgba(255, 255, 255, 1.00);
        border: 2px solid;
    }
	
	.navbar-light .navbar-toggler {
    	color: #fff;
    	border-color: #fff;
	}
	
	.navbar-light .navbar-brand {
    	color: #fff;
	}
	
	.navbar-light .navbar-toggler-icon {
	  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 0.85)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
	}

	.navbar-light .navbar-toggler {
  		border-color: rgba(255,255,255,1.00);
	} 
	
	body:not(.theme-preset-active) #masthead .navbar-nav > li > a {
    	color: #fff !important;
    	padding: 0.65rem 0rem !important;
    	font-weight: 300 !important;
    	font-size: 3.35rem !important;
	}
	
	header#masthead {
    	margin-bottom: -0.5rem; 
    	background-color: rgba(133, 133, 133, 1.00);
    	box-shadow: none;
    	padding: .74rem 1rem 0.5rem 1rem;
    	position: relative;
    	z-index: 1;
	}
	
	.navbar-nav li {
	    border-right: 0px;
	}
	
	.nav-blue-bg-button {
    	background: transparent;
	}
	
	/*button.navbar-toggler.collapsed::before {
	    display: block;
	    content: 'MENU';
	    float: left;
	    margin: 0.65rem 1.3rem 0 0;
	}*/
	
.dropdown-menu li {
    background: #ed2124;
    margin: 0 0 1rem 0;
    color: #ffffff;
    border: none !important;
    text-shadow: none;
    box-shadow: 0em 0em rgba(0, 0, 0, 0) !important;
	font-size: 2rem;
}

.dropdown-menu .dropdown-item {
    color: #fff;
    white-space: normal;
    background: transparent;
    line-height: 2.2;
    font-weight: 400;
    padding-left: 1rem;
}

.nav-red-bg-button {
    padding-left: 1rem;
}
	
.menu-services-x-menu-container ul li {
    width: 90%;
    text-align: center;
    border: 1px solid #fff;
    display: inline-block;
    margin: 1rem auto 0rem auto !important;
}

}
/*--------------------------------------------------------------
## Netbook
--------------------------------------------------------------*/
@media only screen and (max-width: 1024px) {
  html {
    font-size: 90%;
  }
}
/*--------------------------------------------------------------
## iPad
--------------------------------------------------------------*/
@media only screen and (max-width: 960px) {
  html {
    font-size: 85%;
  }
}
/*--------------------------------------------------------------
## iPad
--------------------------------------------------------------*/
@media only screen and (max-width: 768px) {
  html {
    font-size: 80%;
  }
}
/*--------------------------------------------------------------
## iPad
--------------------------------------------------------------*/
@media only screen and (max-width: 480px) {
  html {
    font-size: 75%;
  }
}

/*General patches and debugs for Bootstrap, the parent theme, and the child theme heirarchy - CA last-updated 12/30/24*/

body:not(.theme-preset-active) #masthead .navbar-nav > li > a:hover, body:not(.theme-preset-active) #masthead .navbar-nav > li.current_page_item > a {
    font-weight: bold; /*font-weight menu twitch bug on top-level menu items*/
}